import 'package:comunic/helpers/websocket_helper.dart';
import 'package:comunic/models/call_config.dart';

/// Calls helper
///
/// @author Pierre Hubert

class CallsHelper {
  /// Join a call
  static Future<void> join(int convID) async =>
      await ws("calls/join", {"convID": convID});

  /// Leave a call
  static Future<void> leave(int convID) async =>
      await ws("calls/leave", {"convID": convID});

  /// Get calls configuration
  static Future<CallConfig> getConfig() async {
    final response = await ws("calls/config", {});
    return CallConfig(
      iceServers: response["iceServers"].cast<String>(),
    );
  }
}
